Show / Hide Table of Contents

# Struct CameraManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CameraManager

### Fields

| Improve this Doc View Source

#### CameraArray

##### Declaration

    public byte *CameraArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### CameraIndex

##### Declaration

    public int CameraIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### CurrentCamera

##### Declaration

    public readonly Camera*CurrentCamera { get; }

##### Property Value

Type | Description
--- | ---
Camera* |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static CameraManager*Instance()

##### Returns

Type | Description
--- | ---
CameraManager* |